Promote Plasma for Unity refugess
Closed, ResolvedPublic

Description

Users who upgrade to Ubuntu 17.10 will see their desktops changed radically from Unity to Gnome. Features will disappear, the layout will change and the look and feel will be very different. It was suggested in promo we capitalise on this and try and attract Unity users that would prefer to continue using the environment they are familiar with, since Plasma can be themed and tweaked to mimic the behaviour of a classic Unity desktop.

To make this work we have to set several gears in motion, hence in this task.

  • We must determine what features users are going to miss...
  • ... and how we can emulate them safely on Plasma.
  • We must determine who our target audience is...
  • ... and how we are going to reach them.
paulb created this task.Jul 31 2017, 7:29 PM
paulb updated the task description. (Show Details)
paulb updated the task description. (Show Details)

I'd suggest taking a look at my video about making Unity on Plasma. Kubuntu team has considered doing some work on making a custom layout option for people who dont want to leave the Unity workflow. Perhaps, the work could be collaborated on with them.

januz added a subscriber: januz.Dec 17 2017, 11:09 PM

Not sure if there's still a lot of Unity refugees, a lot people seem to have settled on Gnome+dash to dock (and other extensions).
That said, it shouldn't be too complicated to make a unity look and feel for plasma (following @michaeltunnell's video).
Also, I'd consider using Unity 8's look, it was way more modern looking than 7.

James added a subscriber: James.Dec 19 2017, 9:12 PM

Isn't this a perfect use-case for Look and Feel packs? Showcasing a "Unity" LaFp would allow us to simultaneously promote both the Unity workflow experience to those who prefer it, and showcase the power of (ideally) an easy way to customize Plasma. There are already packs for Windows, Gnome Shell, and Unity looks (https://store.kde.org/p/1167950/) - why not include them by default? Or better, encourage @michaeltunnell to release his awesome creation to the KDE Store? Even better, polish-up and include these packs with the default Plasma install, or allow them to appear in System Settings with a 1-click install to get them up and running?

My reason for stating this is fairly obvious - the ability to 1-click your desktop into a Unity, Gnome Shell, Mac, or Win 10 look certainly would be an easily-marketable and promo-worthy endeavor. Otherwise, we are left trying to promote modern UI concepts with a system that, by default, is a pretty traditional desktop layout by all accounts (not that that's a bad thing - but it offers little unique to Plasma to influence these users beyond what they likely already know).

An excellent idea, @James. I think Solus does that on first run and people seem to like it quite a bit. We wouldn't necessarily need to do it on first run, but having these pre-installed for everyone available with just a few clicks would be great.

@James In fact, this is exactly what we've promised people in 2014 ( https://sessellift.wordpress.com/2014/04/02/choose-your-own-experience-this-time-its-for-real/ ), and what we've been getting the technology ready for since then.
The Plasma team is against shipping the other L&Fs directly with Plasma because that would mean they'd have to maintain them in case the original author loses interest, but getting them with a one-click install via store.kde.org is the idea.

James added a comment.EditedDec 21 2017, 7:34 PM

@colomar That's great to hear, Thomas! In the meantime, maybe the result of this task has lost some potential impact, given the elapsed time since the mothership's move to Gnome. However it's still a good goal to have and promote properly when the backends are all in place and working properly.

Still, it looks like from a promo-perspective, we can act in the meantime. My recommendation for now would be the production of a video for the channel that would highlight the Packs already mentioned in this thread, that are available from the store, along with a quick how-to to get them installed and running - maybe as a separate video if needed. (FWIW my brother tried using Discover to install the Win L&FP. It showed as installed, but there appears to be nowhere to select a pack from System Settings. It is entirely possible that he's simple overlooking something obvious, but a quick search through settings by me did not produce a way to select them either). Make the title kind of click-worthy by calling is something like "Plasma shows a new home for Unity refugees" or something similar.

PS -

While we still want to offer users an Experience Picker right at the end of (post-)installation wizards, people should be able to select, install and of course customize Experiences later on, as well! For more details on that, head over to Jens Reuterberg’s post!

+1 to the idea of L&FP installation after install or on 1st run :)

@januz

Not sure if there's still a lot of Unity refugees, a lot people seem to have settled on Gnome+dash to dock (and other extensions).

I say there is still a LOT of people who havent switched yet because Unity is deployed in a massive amount of LTS users. I think there have been a lot of people to transition already but still a huge amount that haven't.

Also, I'd consider using Unity 8's look, it was way more modern looking than 7.

I would prefer both but for those who want to keep it as close as possible then Unity 7 is the best way.

@James

Isn't this a perfect use-case for Look and Feel packs?

I wish it were that simple.

Or better, encourage @michaeltunnell to release his awesome creation to the KDE Store? Even better, polish-up and include these packs with the default Plasma install, or allow them to appear in System Settings with a 1-click install to get them up and running?

I have tried to do that but unfortunately it is not possible to package up everything I did. It would be fantastic if it were possible to put it in System Settings and have it do all the tasks automatically but L&F is not powerful enough to do that . . . and also pretty confusing with the lack of documentation.

The stuff I did requires custom widgets installed (so far so good) but then modifications to those widgets (not possible with L&F).

I can give a list of all the widgets, wallpaper, custom .desktop files made, etc. that I made for the video but there is quite a lot of customizations in all of those to make it work how it is meant to. L&F doesnt offer that kind of customizations so that is why I never released an L&F package for it.

the ability to 1-click your desktop into a Unity, Gnome Shell, Mac, or Win 10 look certainly would be an easily-marketable and promo-worthy endeavor.

I could not agree more.

@ngraham

I think Solus does that on first run and people seem to like it quite a bit. We wouldn't necessarily need to do it on first run, but having these pre-installed for everyone available with just a few clicks would be great.

I havent seen that. I know Ubuntu MATE has something like that but haven't seen a thing for Solus yet . . . not saying they don't, just haven't looked.

@colomar

they'd have to maintain them in case the original author loses interest, but getting them with a one-click install via store.kde.org is the idea.

Understandable. I just wish there was more you could do with L&F because they are great to a point but all the dependencies of others that you rely on in the store is problematic.

@James

Still, it looks like from a promo-perspective, we can act in the meantime.

I agree, marketing is still important way to approach it.

the production of a video for the channel that would highlight the Packs already mentioned in this thread, that are available from the store, along with a quick how-to to get them installed and running - maybe as a separate video if needed. (

There is a video about how to make a L&F package but I think that is it so far.

FWIW my brother tried using Discover to install the Win L&FP. It showed as installed, but there appears to be nowhere to select a pack from System Settings.

It is also possible that it didnt work because Discover is still very much a work in progress. Unfortunately, Discover has some features that don't seem to work like installing addons.

Make the title kind of click-worthy by calling is something like "Plasma shows a new home for Unity refugees" or something similar.

I can totally handle the clickbait part. :)

januz added a comment.Dec 29 2017, 3:37 PM

@januz

Not sure if there's still a lot of Unity refugees, a lot people seem to have settled on Gnome+dash to dock (and other extensions).

I say there is still a LOT of people who havent switched yet because Unity is deployed in a massive amount of LTS users. I think there have been a lot of people to transition already but still a huge amount that haven't.

Ah, good point.

Also, I'd consider using Unity 8's look, it was way more modern looking than 7.

I would prefer both but for those who want to keep it as close as possible then Unity 7 is the best way.

I think going from 7 to 8 would only mean changing the plasma, kwin and icon theme. So starting from 7, and then building 8 from there is not a bad idea.

Some questions/ideas:

  • Do LnF packs save window buttons? Can't really call it Unity if the buttons are on the right :)
  • What about kwin rules? (to hide title bars for maximized windows)
  • The keyboard shortcuts overlay window: I'm not sure how it could be implemented (kwin effect?) but I think it would be beneficial for all users, so it could be bundled with plasma.
  • Overlay for the shortcut number on the icon task manager (Meta+1, Meta+2, etc.). This could be implemented as an option (and then enabled in the LnFP).
Lucas added a comment.Mar 26 2018, 5:33 PM

Just a quick info. I rewrited my look and feel package using https://userbase.kde.org/KDE_System_Administration/PlasmaDesktopScripting and uploaded it to KDE Store https://www.opendesktop.org/p/1167950/ By using plasma desktop scripting we have much bigger control on theme and most of the tweaks mentioned by @michaeltunnell should be now doable.

Lucas closed this task as Resolved.May 5 2018, 8:34 AM